@echo off
setlocal EnableDelayedExpansion
set /p=<nul>exec.bat
set destPath=%2cpp/
ECHO @echo on >>exec.bat
for %%i in (*.vs.glsl) do (
    set "s=%%i"
    echo !s:vs.glsl=vert.spv!
	set /p="glslc -fshader-stage=vertex %%i -o !s:vs.glsl=vert.spv!"<nul >> exec.bat
    ECHO.>> exec.bat
)
for %%i in (*.ps.glsl) do (
    set "s=%%i"
    echo !s:ps.glsl=frag.spv!
	set /p="glslc -fshader-stage=fragment %%i -o !s:ps.glsl=frag.spv!"<nul >> exec.bat
    ECHO.>> exec.bat
)
ECHO @echo off>> exec.bat
call exec.bat
del exec.bat